package com.bocloud.cmp.model;

public class NetcardOperation {
	private String name;
	private String model;
	private String operation;
	private String type;
	private String label;
	private String portType;// 端口类型
	private Long ciscoSubnetId;// 思科sdn下subnet的ID
	private IpModel ip;// 网卡分配的IP
	private String mac;// 已存在的网卡mac地址
	private String address;// 用户指定的IP
	private boolean ipv6Enabled;
	private String ipv6Address;
	private IpModel ipv6;
	private Long vpcId;// 从nsx获取
	private Long networkCardId;// 网卡id
	private String networkCardUuid; // 网卡uuid
	private Long networkId;// 网络id
	private String networkUuid; // 网络uuid
	private Long subnetId;// 子网id
	private Long ipPoolId;// IP池ID
	private Long ipId;// 手动选择的IP地址
	private String link; // up or down
	private String ovs;
	private Integer vlan;
	private String ipPolicy;

	private Long ipv4PoolId;
	private Long ipv6PoolId;

	//fc 纳管
	private Integer sequenceNum;
	//fc 纳管


	public Integer getSequenceNum() {
		return sequenceNum;
	}

	public void setSequenceNum(Integer sequenceNum) {
		this.sequenceNum = sequenceNum;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the operation
	 */
	public String getOperation() {
		return operation;
	}

	/**
	 * @param operation the operation to set
	 */
	public void setOperation(String operation) {
		this.operation = operation;
	}

	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return the label
	 */
	public String getLabel() {
		return label;
	}

	/**
	 * @param label the label to set
	 */
	public void setLabel(String label) {
		this.label = label;
	}

	/**
	 * @return the ciscoSubnetId
	 */
	public Long getCiscoSubnetId() {
		return ciscoSubnetId;
	}

	/**
	 * @param ciscoSubnetId the ciscoSubnetId to set
	 */
	public void setCiscoSubnetId(Long ciscoSubnetId) {
		this.ciscoSubnetId = ciscoSubnetId;
	}

	/**
	 * @return the portType
	 */
	public String getPortType() {
		return portType;
	}

	/**
	 * @param portType the portType to set
	 */
	public void setPortType(String portType) {
		this.portType = portType;
	}

	/**
	 * @return the ip
	 */
	public IpModel getIp() {
		return ip;
	}

	/**
	 * @param ip the ip to set
	 */
	public void setIp(IpModel ip) {
		this.ip = ip;
	}

	/**
	 * @return the mac
	 */
	public String getMac() {
		return mac;
	}

	/**
	 * @param mac the mac to set
	 */
	public void setMac(String mac) {
		this.mac = mac;
	}

	/**
	 * @return the address
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @param address the address to set
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	/**
	 * @return the ipv6Enabled
	 */
	public boolean isIpv6Enabled() {
		return ipv6Enabled;
	}

	/**
	 * @param ipv6Enabled the ipv6Enabled to set
	 */
	public void setIpv6Enabled(boolean ipv6Enabled) {
		this.ipv6Enabled = ipv6Enabled;
	}

	/**
	 * @return the ipv6Address
	 */
	public String getIpv6Address() {
		return ipv6Address;
	}

	/**
	 * @param ipv6Address the ipv6Address to set
	 */
	public void setIpv6Address(String ipv6Address) {
		this.ipv6Address = ipv6Address;
	}

	/**
	 * @return the ipv6
	 */
	public IpModel getIpv6() {
		return ipv6;
	}

	/**
	 * @param ipv6 the ipv6 to set
	 */
	public void setIpv6(IpModel ipv6) {
		this.ipv6 = ipv6;
	}

	public Long getVpcId() {
		return vpcId;
	}

	public void setVpcId(Long vpcId) {
		this.vpcId = vpcId;
	}

	public Long getSubnetId() {
		return subnetId;
	}

	public void setSubnetId(Long subnetId) {
		this.subnetId = subnetId;
	}

	public Long getIpPoolId() {
		return ipPoolId;
	}

	public void setIpPoolId(Long ipPoolId) {
		this.ipPoolId = ipPoolId;
	}

	public Long getIpId() {
		return ipId;
	}

	public void setIpId(Long ipId) {
		this.ipId = ipId;
	}

	public NetcardOperation() {
		super();
	}

	public NetcardOperation(String name, String label) {
		super();
		this.name = name;
		this.label = label;
	}

	public NetcardOperation(String name, String operation, String type, String label) {
		super();
		this.name = name;
		this.operation = operation;
		this.type = type;
		this.label = label;
	}

	public Long getIpv4PoolId() {
		return ipv4PoolId;
	}

	public void setIpv4PoolId(Long ipv4PoolId) {
		this.ipv4PoolId = ipv4PoolId;
	}

	public Long getIpv6PoolId() {
		return ipv6PoolId;
	}

	public void setIpv6PoolId(Long ipv6PoolId) {
		this.ipv6PoolId = ipv6PoolId;
	}

	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	public Long getNetworkId() {
		return networkId;
	}

	public void setNetworkId(Long networkId) {
		this.networkId = networkId;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	public String getOvs() {
		return ovs;
	}

	public void setOvs(String ovs) {
		this.ovs = ovs;
	}

	public Integer getVlan() {
		return vlan;
	}

	public void setVlan(Integer vlan) {
		this.vlan = vlan;
	}

	public Long getNetworkCardId() {
		return networkCardId;
	}

	public void setNetworkCardId(Long networkCardId) {
		this.networkCardId = networkCardId;
	}

	public String getNetworkCardUuid() {
		return networkCardUuid;
	}

	public void setNetworkCardUuid(String networkCardUuid) {
		this.networkCardUuid = networkCardUuid;
	}

	public String getNetworkUuid() {
		return networkUuid;
	}

	public void setNetworkUuid(String networkUuid) {
		this.networkUuid = networkUuid;
	}

	public String getIpPolicy() {
		return ipPolicy;
	}

	public void setIpPolicy(String ipPolicy) {
		this.ipPolicy = ipPolicy;
	}
}
